%global namedreltag .CR1
%global namedversion %{version}%{?namedreltag}
Name:                jboss-integration
Version:             6.0.0
Release:             1
Summary:             JBoss Integration
License:             LGPLv2+
URL:                 http://www.jboss.org
Source0:             jboss-integration-%{namedversion}.tar.gz
BuildArch:           noarch
BuildRequires:       jacorb maven-local maven-compiler-plugin maven-enforcer-plugin
BuildRequires:       maven-install-plugin maven-jar-plugin maven-javadoc-plugin jboss-parent
BuildRequires:       jboss-transaction-1.1-api
%description
The JBoss integration classes

%package javadoc
Summary:             Javadocs for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-integration-%{namedversion}
%pom_disable_module jboss-classloading-spi
%pom_disable_module jboss-deployment-spi
%pom_disable_module jboss-transaction-spi
%pom_disable_module jboss-scanning-spi
%pom_disable_module jboss-annotations-spi
%pom_disable_module jboss-jca-spi
%pom_disable_module build
%pom_remove_dep "org.jboss.javaee:jboss-transaction-api" jboss-corba-ots-spi/pom.xml
%pom_add_dep "org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec" jboss-corba-ots-spi/pom.xml
sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," build/lgpl.txt

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc build/lgpl.txt

%files javadoc -f .mfiles-javadoc
%doc build/lgpl.txt

%changelog
* Mon Nov 2 2020 huanghaitao <huanghaitao8@huawei.com> - 6.0.0-1
- package init
